package codemaptournament;

import java.util.List;
import javax.swing.AbstractListModel;

/**
 * List model that wraps a List for read-only access
 * @author Paul
 */
public class ROListListModel extends AbstractListModel {
    private final List list;

    public ROListListModel(List list) {
        this.list = list;
    }

    public int getSize() {
        return list.size();
    }

    public Object getElementAt(int index) {
        return list.get(index);
    }

}
